## GtkObject

GtkObject

## Functions

#define | GTK_OBJECT_FLAGS()
#define | GTK_OBJECT_FLOATING()
GtkObject * | gtk_object_new ()
void | gtk_object_sink ()
GtkObject * | gtk_object_ref ()
void | gtk_object_unref ()
void | gtk_object_weakref ()
void | gtk_object_weakunref ()
void | gtk_object_destroy ()
void | gtk_object_get ()
void | gtk_object_set ()
void | gtk_object_set_data ()
void | gtk_object_set_data_full ()
void | gtk_object_remove_data ()
gpointer | gtk_object_get_data ()
void | gtk_object_remove_no_notify ()
void | gtk_object_set_user_data ()
gpointer | gtk_object_get_user_data ()
void | gtk_object_add_arg_type ()
void | gtk_object_set_data_by_id ()
void | gtk_object_set_data_by_id_full ()
gpointer | gtk_object_get_data_by_id ()
void | gtk_object_remove_data_by_id ()
void | gtk_object_remove_no_notify_by_id ()

## Properties

gpointer | user-data | Read / Write

## Signals

void | destroy | No Hooks

## Types and Values

| GtkObject
#define | GTK_OBJECT_TYPE
#define | GTK_OBJECT_TYPE_NAME
enum | GtkObjectFlags
enum | GtkArgFlags
#define | gtk_object_data_try_key
#define | gtk_object_data_force_id

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ├── GtkWidget
                ├── GtkAdjustment
                ├── GtkCellRenderer
                ├── GtkFileFilter
                ├── GtkItemFactory
                ├── GtkTooltips
                ├── GtkTreeViewColumn
                ╰── GtkRecentFilter

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### GTK_OBJECT_FLAGS()

    #define GTK_OBJECT_FLAGS(obj)		  (GTK_OBJECT (obj)->flags)

`GTK_OBJECT_FLAGS` is deprecated and should not be used in newly-written code.

### GTK_OBJECT_FLOATING()

    #define GTK_OBJECT_FLOATING(obj)	  (g_object_is_floating (obj))

`GTK_OBJECT_FLOATING` is deprecated and should not be used in newly-written code.

### gtk_object_new ()

    GtkObject *
    gtk_object_new (GType type,
                    const gchar *first_property_name,
                    ...);

`gtk_object_new` is deprecated and should not be used in newly-written code.

### gtk_object_sink ()

    void
    gtk_object_sink (GtkObject *object);

`gtk_object_sink` is deprecated and should not be used in newly-written code.

### gtk_object_ref ()

    GtkObject *
    gtk_object_ref (GtkObject *object);

`gtk_object_ref` is deprecated and should not be used in newly-written code.

### gtk_object_unref ()

    void
    gtk_object_unref (GtkObject *object);

`gtk_object_unref` is deprecated and should not be used in newly-written code.

### gtk_object_weakref ()

    void
    gtk_object_weakref (GtkObject *object,
                        GDestroyNotify notify,
                        gpointer data);

`gtk_object_weakref` is deprecated and should not be used in newly-written code.

### gtk_object_weakunref ()

    void
    gtk_object_weakunref (GtkObject *object,
                          GDestroyNotify notify,
                          gpointer data);

`gtk_object_weakunref` is deprecated and should not be used in newly-written code.

### gtk_object_destroy ()

    void
    gtk_object_destroy (GtkObject *object);

### gtk_object_get ()

    void
    gtk_object_get (GtkObject *object,
                    const gchar *first_property_name,
                    ...);

`gtk_object_get` is deprecated and should not be used in newly-written code.

### gtk_object_set ()

    void
    gtk_object_set (GtkObject *object,
                    const gchar *first_property_name,
                    ...);

`gtk_object_set` is deprecated and should not be used in newly-written code.

### gtk_object_set_data ()

    void
    gtk_object_set_data (GtkObject *object,
                         const gchar *key,
                         gpointer data);

`gtk_object_set_data` is deprecated and should not be used in newly-written code.

### gtk_object_set_data_full ()

    void
    gtk_object_set_data_full (GtkObject *object,
                              const gchar *key,
                              gpointer data,
                              GDestroyNotify destroy);

`gtk_object_set_data_full` is deprecated and should not be used in newly-written code.

### gtk_object_remove_data ()

    void
    gtk_object_remove_data (GtkObject *object,
                            const gchar *key);

`gtk_object_remove_data` is deprecated and should not be used in newly-written code.

### gtk_object_get_data ()

    gpointer
    gtk_object_get_data (GtkObject *object,
                         const gchar *key);

`gtk_object_get_data` is deprecated and should not be used in newly-written code.

### gtk_object_remove_no_notify ()

    void
    gtk_object_remove_no_notify (GtkObject *object,
                                 const gchar *key);

`gtk_object_remove_no_notify` is deprecated and should not be used in newly-written code.

### gtk_object_set_user_data ()

    void
    gtk_object_set_user_data (GtkObject *object,
                              gpointer data);

`gtk_object_set_user_data` is deprecated and should not be used in newly-written code.

### gtk_object_get_user_data ()

    gpointer
    gtk_object_get_user_data (GtkObject *object);

`gtk_object_get_user_data` is deprecated and should not be used in newly-written code.

### gtk_object_add_arg_type ()

    void
    gtk_object_add_arg_type (const gchar *arg_name,
                             GType arg_type,
                             guint arg_flags,
                             guint arg_id);

`gtk_object_add_arg_type` is deprecated and should not be used in newly-written code.

### gtk_object_set_data_by_id ()

    void
    gtk_object_set_data_by_id (GtkObject *object,
                               GQuark data_id,
                               gpointer data);

`gtk_object_set_data_by_id` is deprecated and should not be used in newly-written code.

### gtk_object_set_data_by_id_full ()

    void
    gtk_object_set_data_by_id_full (GtkObject *object,
                                    GQuark data_id,
                                    gpointer data,
                                    GDestroyNotify destroy);

`gtk_object_set_data_by_id_full` is deprecated and should not be used in newly-written code.

### gtk_object_get_data_by_id ()

    gpointer
    gtk_object_get_data_by_id (GtkObject *object,
                               GQuark data_id);

`gtk_object_get_data_by_id` is deprecated and should not be used in newly-written code.

### gtk_object_remove_data_by_id ()

    void
    gtk_object_remove_data_by_id (GtkObject *object,
                                  GQuark data_id);

`gtk_object_remove_data_by_id` is deprecated and should not be used in newly-written code.

### gtk_object_remove_no_notify_by_id ()

    void
    gtk_object_remove_no_notify_by_id (GtkObject *object,
                                       GQuark key_id);

`gtk_object_remove_no_notify_by_id` is deprecated and should not be used in newly-written code.

## Types and Values

### GtkObject

    typedef struct _GtkObject GtkObject;

### GTK_OBJECT_TYPE

    #define GTK_OBJECT_TYPE                   G_OBJECT_TYPE

`GTK_OBJECT_TYPE` has been deprecated since version 2.20 and should not be used in newly-written code.

Use `G_OBJECT_TYPE()` instead.

Gets the type of an object.

#### Parameters

object | a GtkObject. |

### GTK_OBJECT_TYPE_NAME

    #define GTK_OBJECT_TYPE_NAME              G_OBJECT_TYPE_NAME

`GTK_OBJECT_TYPE_NAME` has been deprecated since version 2.20 and should not be used in newly-written code.

Use `G_OBJECT_TYPE_NAME()` instead.

Gets the name of an object's type.

#### Parameters

object | a GtkObject. |

### enum GtkObjectFlags

`GtkObjectFlags` is deprecated and should not be used in newly-written code.

#### Members

GTK_IN_DESTRUCTION |  |
GTK_FLOATING |  |
GTK_RESERVED_1 |  |
GTK_RESERVED_2 |  |

### enum GtkArgFlags

`GtkArgFlags` is deprecated and should not be used in newly-written code.

#### Members

GTK_ARG_READABLE |  |
GTK_ARG_WRITABLE |  |
GTK_ARG_CONSTRUCT |  |
GTK_ARG_CONSTRUCT_ONLY |  |
GTK_ARG_CHILD_ARG |  |

### gtk_object_data_try_key

    #define gtk_object_data_try_key	    g_quark_try_string

`gtk_object_data_try_key` is deprecated and should not be used in newly-written code.

### gtk_object_data_force_id

    #define gtk_object_data_force_id    g_quark_from_string

`gtk_object_data_force_id` is deprecated and should not be used in newly-written code.

## Property Details

### The `“user-data”` property

      “user-data”                gpointer

Anonymous User Data Pointer.

Owner: GtkObject

Flags: Read / Write

## Signal Details

### The `“destroy”` signal

    void
    user_function (GtkObject *object,
                   gpointer   user_data)

Flags: No Hooks